#ifndef PIPE_DUMMY_H
#define PIPE_DUMMY_H

#include "pipe/pipe.h"
#include <time.h>

typedef struct PipeDummy {
	Pipe	IOPipe;
} PipeDummy;

#define BLANKPIPEDUMMY {BLANKPIPE_PIPE}


Pipe *pipedummyMake(char *pipename, char *options);
void pipedummyFree(PipeDummy *ps);
void pipedummyRead(PipeDummy *thispipe, Pipe **errPipe);
void pipedummyWrite(PipeDummy *thispipe, Pipe **errPipe);
void pipedummyAttach(PipeDummy *thispipe);
void pipedummyDetach(PipeDummy *thispipe);
void pipedummyClose(PipeDummy *thispipe);
void pipedummyStatus(PipeDummy *thispipe, int *status);

#endif //PIPE_DUMMY_H


